#!env python
# -*- coding: iso-8859-1 -*-
###########################################################################
# 
# File:            store.py
#
# Licence:         Donationware, distributed as Freeware
#
#                  If you find this software useful to you and you would
#                  like to help the developer to maintain it also in the future, 
#                  please donate a small amount of your liking to the 
#                  PayPal account: olammi@iki.fi.
#
#                  This donation is not required to use the software and the 
#                  software is licenced as freeware.
#
#                  To individual and non-commercial use only! Script
#                  and source code may be used freely for non-commercial
#                  purposes. Any commercial usage requires permission or
#                  licence from the author. 
#
# Author:          Olli Lammi (olammi@iki.fi)
#
# Version:         0.9a
#
# Date:            24.02.2009
#
# Description:     Abstract base class for services that can store logged 
#                  data values. 
#                 
# Requirements:    Python interpreter 2.4 or newer (www.python.org)
#                  (tested with 2.4.3)
# 
# Version history: ** 24.02.2009 v0.9a (Olli Lammi) **
#                  First beta version for testers. 
#
###########################################################################

# Imports

import sys, os 
import string

import configuration


###########################################################################

# Classes

class Store(configuration.Configurable):
    def insertData(self, values): pass
